﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using EntityCodeFirst.Models;
using System.Data.Entity;
using Syncfusion.JavaScript;
using Syncfusion.JavaScript.DataSources;
using System.Collections;
using MVCSampleBrowser.Models;
using System.Net;

namespace EntityCodeFirst.Controllers
{
    public class OrderTablesController : Controller
    {
           public ActionResult Index()
        {
            List<EditableOrder> data = OrderRepository.GetAllRecords().ToList();
            ViewBag.datasource = OrderRepository.GetAllRecords().ToList();
            return View(data);
        }

        public ActionResult Update(EditableOrder value)
        {
            if (ModelState.IsValid)
            {
               if (value != null)
                    OrderRepository.Update(value);
                var data = OrderRepository.GetAllRecords();
                return Json(data, JsonRequestBehavior.AllowGet);
            }
            if (!ModelState.IsValid)
            {
                var message = string.Join(" | ", ModelState.Values
             .SelectMany(v => v.Errors)
             .Select(e => e.ErrorMessage));
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest, message);

            }
            return View();    
        }
        public ActionResult Insert(EditableOrder value)
        {
            if (ModelState.IsValid)
            {
                if (value != null)
                    OrderRepository.Add(value);
                var data = OrderRepository.GetAllRecords();
                return Json(data, JsonRequestBehavior.AllowGet);
            }
            if (!ModelState.IsValid)
            {
                var message = string.Join(" | ", ModelState.Values
             .SelectMany(v => v.Errors)
             .Select(e => e.ErrorMessage));
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest, message);

            }
            return View();
        }
       public ActionResult Remove(int key)
            {
            OrderRepository.Delete(key);
            var data = OrderRepository.GetAllRecords();
            return Json(data, JsonRequestBehavior.AllowGet);
        }
    }
}
